package com.yc.education.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yc.education.model.Product;
import com.yc.education.util.MyMapper;

public interface ProductMapper extends MyMapper<Product> {

	int findCountByTypeid(@Param("typeid")Integer typeid);

	List<Product> findProductByTypeid(@Param("count")int count, @Param("num")int num, @Param("typeid")Integer typeid);

	List<Product> findProductByClassify(@Param("classifyid")Integer classifyid);

	int findCount(@Param("name")String name);

	List<Product> findAllByName(@Param("name")String name);

	int fingdCount();
}